# On Nagios server:
1. Install the Nagios NRPE plugin and ensure the check_nrpe command has been
   enabled.
    1. aerospike_nagios.py is expected to be in
	   `/opt/aerospike/lib/aerospike_nagios.py`
	2. Permission for aerospike_nagios.py are expected to be executable by the
	   Nagios user.
2. Add the service to be monitored. Examples can be found below and in the
   examples directory.
   ```
   define service {
       use                  generic-service
       host_name            MyHostname
       service_description  FreePctMemory
                            # option1 is the stat,
							# option2 is the warn level
							# option3 is the cirtical level
       check_command        check_nrpe!aerospike -a free-pct-memory 70 60
       contact_groups       devops
   }

   define service {
       use                  generic-service
       host_name            MyHostname
       service_description  UsedBytesDisk
                            # option1 is the stat
							# option2 is the warn level
							# option3 is the cirtical level
       check_command        check_nrpe!aerospike -a used-bytes-disk 12348030976 16106127360
       contact_groups       devops
   }
   ```
3. Reload Nagios.

# On Aerospike server:
1. Install NRPE and configure it to allow the Nagios server to send requests to
   it.
2. Install aerospike_nagios.py into /opt/aerospike/lib.
3. Install nrpe/aerospike.cfg and nrpe/aerspike_namespace.cfg into /etc/nrpe.d
4. Start NRPE and ensure NRPE will start on boot.

